@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500&display=swap');

* {
    font-family:'Rubik', sans-serif;
}

body {
    background: url(https://moga.co.il/wp-content/uploads/2021/03/2489676-scaled-1.jpg) top center no-repeat #EEF0EF;
    background-size: auto;
}

body.catalog header {
    width: 80%;
    margin: 0px auto;
    background: #eee;
    height: 100px;
}
.pagecatalog {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 80%;
    margin: 40px auto;
}
.pagecatalog .lists-product {
    width: 70%;
}
.pagecatalog .sidebar {
    width: 22%;
    position: sticky;
    top: 30px;
    height: max-content;
    padding: 30px;
    background: url(https://moga.co.il/wp-content/uploads/2020/07/catalog-sidebar-menu.png) top center no-repeat;
    background-size: cover;
    margin: 10px 0 0 0;
}


/*body ::-webkit-scrollbar {
  width: 4px;
}

body ::-webkit-scrollbar-track {
  background: #fff; 
}
 
body ::-webkit-scrollbar-thumb {
  background: #892510; 
}

body ::-webkit-scrollbar-thumb:hover {
  background: #892510; 
}*/


.sidebar input[type="checkbox"] {
    font-size: 18px;
    border: 1px solid #000;
}

.sidebar label {
    font-size: 18px;
    font-weight: 500;
    padding: 0 31px 7px 0;
    display: inline-block;
}

.sidebar-filter-button {
    background-color: rgba(18, 131, 56, 1);
    font-size: 17px;
    color: #fff;
    width: 100%;
    padding: 10px;
    box-shadow: none;
    border: none;
    cursor: pointer;
    transition: 0.5s;
}
.sidebar-filter-button:hover {
    background-color: rgba(18, 131, 56, 0.9);
}

.block-buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin: 0 0 30px;
}
.block-buttons a {
    text-decoration: none;
    font-size: 18px;
    display: inline-block;
    color: #128338;
    border: 1px solid #128338;
    border-radius: 3px;
    padding: 7px;
    margin-bottom: 5px;
    background: rgba(255,255,255,0.4);
}
.block-buttons a i {
    margin-left: 6px;
}

.pagecatalog .accordion {
  background-color: rgba(18, 131, 56, 0.9);
  color: #fff;
  cursor: pointer;
  padding: 18px;
  margin: 10px 0 0 0;
  width: 100%;
  border: none;
  text-align: right;
  outline: none;
  font-size: 20px;
  font-weight: 400;
  transition: 0.4s;
}

.pagecatalog .active, .pagecatalog .accordion:hover {
  background-color: rgba(18, 131, 56, 0.99);
}

.pagecatalog .accordion:after {
  content: '-';
  color: #fff;
  font-weight: bold;
  float: right;
  margin-left: 10px;
}

.pagecatalog .active:after {
  content: "+";
}

.pagecatalog .panel {
  padding: 0px;
  background-color: rgba(255, 255, 255, 0.9);
  max-height: max-height;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.single-product {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 13px;
}
.single-product:nth-child(odd) {
    background-color: rgba(18, 131, 56, 0.05);
}
.single-product .img-pr img {
    width: 100px;
    height: auto;
}
.single-product .img-pr {
    width: 15%;
}
.single-product .title-pr {
    width: 22%;
    font-size: 19px;
}
.single-product .desc-pr {
    width: 60%;
    font-size: 15px;
}


#allcats {
    color: #128338;
    margin: 0 0 17px 0;
    padding: 3px 10px;
    font-weight: 500;
    cursor: pointer;
    width: max-content;
    border: 1px solid;
}

/* Customize the label (the container) */
.container {
  display: block;
  position: relative;
  padding-right: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 17px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  right: 0;
  height: 21px;
  width: 21px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
  background-color: #fff;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #128338;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
  left: 7px;
    top: 2px;
    width: 5px;
    height: 9px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}



/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.message-sent {
    margin: 20px auto 0;
    width: max-content;
    text-align: center;
    border: 1px solid #128338;
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 20px;
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px 40px;
  border: 1px solid #128338;
  border-radius: 5px;
  width: 500px;
}

.modal-content form {
    margin: 20px 0 25px 0;
    margin: 20px 0 25px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.modal-content p {
    margin: 40px 0 0 0;
    font-size: 17px;
}
.modal-content .send-button {
    background-color: rgba(18, 131, 56, 1);
    font-size: 17px;
    color: #fff;
    padding: 10px  20px;
    border-radius: 5px;
    box-shadow: none;
    border: none;
    cursor: pointer;
    transition: 0.5s;
    margin: 0px;    
    width: 100%;
}
.modal-content input[type="text"], .modal-content input[type="email"], .modal-content input[type="phone"] {
    font-size: 15px;
    color: #000;
    padding: 10px;
    border: 1px solid;
    border-radius: 5px;    
    width: 45%;
    margin-bottom: 10px;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}


@media only screen and (min-width: 600px) and (max-width: 1800px)  {
.pagecatalog {
    width: 98%;
}
}

@media only screen  and (min-width: 601px) and (max-width: 1100px) {
.pagecatalog {
    width: 97%;
    margin: 20px auto;
}
.pagecatalog .sidebar, .pagecatalog .lists-product {
    width: 100%;
}
.pagecatalog .sidebar {
    position: inherit;
    height: max-content;
    padding: 10px;
}
}

@media only screen and (max-width: 600px) {
.pagecatalog {
    width: 97%;
    margin: 20px auto;
}
.pagecatalog .sidebar, .pagecatalog .lists-product {
    width: 100%;
}
.pagecatalog .sidebar {
    position: inherit;
    height: max-content;
    padding: 10px;
}
.single-product .img-pr {
    width: 30%;
}
.single-product .img-pr img {
    width: 65px;
}
.single-product .title-pr {
    width: 70%;
}
.single-product .desc-pr {
    width: 100%;
    margin-top:10px;
}
.pagecatalog .accordion {
    padding: 11px;
    font-size: 18px;
}


.modal-content {
  padding: 10px 20px;
  width: 265px;
}

.modal-content form {
    margin: 10px 0 15px 0;
    margin: 10px 0 15px 0;
}
.modal-content input[type="text"], .modal-content input[type="email"], .modal-content input[type="phone"] {
    width: 100%;
}
}


@media print {

  .sidebar {
      display: none;
  }
  .pagecatalog, .pagecatalog .lists-product {
        width: 100%;
    }
    .pagecatalog .accordion {
        font-size: 20px;
        color: #000;
    }
    .single-product {
        border-bottom: 1px solid #eee !important;
    }
    .pagecatalog .panel {
        max-height: max-content !important;
    }
    .pagecatalog .accordion:after {
        content: none !important;
    }
    .single-product .title-pr {
        font-size: 15px;
    }
    .single-product .desc-pr {
        font-size: 13px;
    }
    .single-product .img-pr img {
        width: 65px;
        height: auto;
    }

}